## org.exist.cocoon
Class XMLDBSessionLoginAction

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.acting.AbstractAction
              org.apache.cocoon.acting.ServiceableAction
                  org.exist.cocoon.XMLDBSessionLoginAction

All Implemented Interfaces:
  org.apache.cocoon.acting.Action, org.apache.avalon.framework.component.Component, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.framework.thread.ThreadSafe

public class XMLDBSessionLoginAction
extends org.apache.cocoon.acting.ServiceableAction
implements org.apache.avalon.framework.thread.ThreadSafe

Cocoon action to authenticate a user against the database. If authentication succeeds, user and password will be stored into the current session.

Author:
  Wolfgang Meier <wolfgang@exist-db.org>

Field Summary

Fields inherited from interface org.apache.cocoon.acting.Action
`ROLE`

Constructor Summary
`XMLDBSessionLoginAction()`

Method Summary
`java.util.Map` `act(org.apache.cocoon.environment.Redirector redirector, org.apache.cocoon.environment.SourceResolver resolver, java.util.Map objectModel, java.lang.String source, org.apache.avalon.framework.parameters.Parameters param)`

Methods inherited from class org.apache.cocoon.acting.ServiceableAction
`service`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBSessionLoginAction

    public XMLDBSessionLoginAction()

Method Detail

### act

    public java.util.Map act(org.apache.cocoon.environment.Redirector redirector,
                             org.apache.cocoon.environment.SourceResolver resolver,
                             java.util.Map objectModel,
                             java.lang.String source,
                             org.apache.avalon.framework.parameters.Parameters param)
                      throws java.lang.Exception

  Specified by:
    `act` in interface `org.apache.cocoon.acting.Action`
  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.